Subject: bug#49355: [guix-jupyter] timeout issue running the kernel

From: Domagoj Stolfa <[email-masked]>
Date: Sat, 3 Jul 2021 16:30:36 +0100

Hello:

I've been trying to set up a Jupyter environment with the Guix kernel inside a
guix environment using:

`guix environment --ad-hoc guix-jupyter jupyter -- jupyter notebook`.

Jupyter starts up fine, but when I create an empty notebook with the Guix kernel
it spams Nudge messages in the console, followed by a crash:

```
[W 16:25:40.117 NotebookApp] Nudge: attempt 120 on kernel 14569df8-e4d1-4847-ae1f-c68e13feeed8
[E 16:25:40.479 NotebookApp] Uncaught exception GET /api/kernels/14569df8-e4d1-4847-ae1f-c68e13feeed8/channels?session_id=05319f9c28b3455cad1b9f4fcf9e0e41 (127.0.0.1)
    HTTPServerRequest(protocol='http', host='localhost:8888', method='GET', uri='/api/kernels/14569df8-e4d1-4847-ae1f-c68e13feeed8/channels?session_id=05319f9c28b3455cad1b9f4fcf9e0e41', version='HTTP/1.1', remote_ip='127.0.0.1')
    Traceback (most recent call last):
      File "/gnu/store/zkjmzfd8li7p7yaihm9rs617vqq9n5qh-python-tornado-6.1/lib/python3.8/site-packages/tornado/websocket.py", line 956, in _accept_connection
        await open_result
    tornado.util.TimeoutError: Timeout
```

Attempting to run anything in the notebook such as

`;;guix environment matplotlib-env <- python-ipykernel python-numpy python-matplotlib`

simply does nothing. I'm not sure if this is an issue with me misconfiguring
something or if it's actually a bug, but I haven't been able to chase it down
as I don't really understand the internals of Jupyter all that well.

Adding `python-ipykernel` and using a Python kernel works fine.

--
Domagoj